apiVersion: kubeadm.k8s.io/v1alpha2
kind: NodeConfiguration
nodeRegistration:
{% if kubelet_taints|length > 0 %}
  taints:
  {% for taint in kubelet_taints %}
    - {{ taint }}
  {% endfor %}
{% endif %}
  kubeletExtraArgs:
    cloud-provider: vsphere
    cloud-config: /etc/kubernetes/cloud/cloud-config.ini
discoveryFile: /etc/kubernetes/cluster-info.yaml
tlsBootstrapToken: {{ token }}